Do not find things in /usr/local.
Link with bzip2 dynamic library not static library.
Link with OpenSSL dynamic library not shared library.
--- configure.orig	2005-03-26 05:21:12.000000000 -0600
+++ configure	2021-07-26 15:16:41.000000000 -0500
@@ -5,8 +5,8 @@
 ##### config
 
 STANDARD_LIBDIRS='/lib /usr/lib'
-DEFAULT_LIBDIRS='-L /usr/local/lib'
-DEFAULT_INCDIRS='-I /usr/local/include'
+DEFAULT_LIBDIRS=
+DEFAULT_INCDIRS=
 
 ##### Functions
 
@@ -138,9 +138,20 @@
 
 ##### Bzip2
 
-# Find the static library
-find_lib 'libbz2.a'
-bz2lib="${find_lib_ret}/libbz2.a"
+# Attempt to find the dynamic library first
+if [ "X$all_static" = 'X' ]
+then
+   find_lib 'libbz2.dylib' ignore_errors
+fi
+
+if [ -n "$all_static"  -o "X$find_lib_ret" = 'X' ]
+then
+   # Try to use the static
+   find_lib 'libbz2.a'
+   bz2lib="${find_lib_ret}/libbz2.a"
+else
+   bz2lib='-lbz2'
+fi
 
 ##### OpenSSL/libcrypto
 
@@ -148,7 +159,7 @@
 # Attempt to find the dynamic library first
 if [ "X$all_static" = 'X' ]
 then
-   find_lib 'libcrypto.so' ignore_errors
+   find_lib 'libcrypto.dylib' ignore_errors
 fi
 
 if [ -n "$all_static"  -o "X$find_lib_ret" = 'X' ]
